> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace settings



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/settings
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/settings:
    get:
      summary: Get workspace settings
      operationId: getWorkspaceSettings
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceSettings'
      security:
        - cookieAuth: []
        - bearerAuth:
            - settings:read
components:
  schemas:
    WorkspaceSettings:
      type: object
      properties:
        slug:
          type: string
        displayName:
          type: string
        domains:
          type: array
          items:
            type: string
        about:
          type: string
        industry:
          type: string
        email:
          type: string
        brandColors:
          type: object
          properties:
            primary:
              type: string
              pattern: ^#[0-9a-f]{6}$
            secondary: e3b13ddd-5d86-4fd2-8166-09a574c7e136
            accent: 13efff37-191e-413d-a3bb-13e462ca3bc5
            background: be5b6650-99f4-40a0-9d08-92bc25726191
            text: ec1a96e6-18c4-4d3b-a1f7-9688b0840fd2
          required:
            - primary
            - secondary
            - accent
            - background
            - text
          additionalProperties: false
        brandMeta:
          type: object
          properties:
            faviconUrl:
              anyOf:
                - type: string
                  enum:
                    - ''
                - type: string
                  format: uri
                  maxLength: 500
            logoUrl: 6ec5cdc1-9f2f-48ba-93fd-6d58aba45347
            fontNames:
              type: array
              items:
                type: string
                minLength: 1
                maxLength: 100
              maxItems: 12
          additionalProperties: false
        socials:
          type: object
          properties:
            linkedin:
              anyOf:
                - type: string
                  enum:
                    - ''
                - type: string
                  format: uri
                  maxLength: 500
            x: 8fa15d3f-ed62-44c9-83ba-3f54c7b39bfa
            github: 9911c302-1a99-48ff-8339-2fc7d7b82150
            instagram: bc1ae740-cf19-4404-ad59-23d08c419075
            youtube: db47801d-7b48-46e7-97a9-ffe647d2c549
            tiktok: 190b7604-ed90-4664-a49f-5c1df4fec293
          required:
            - linkedin
            - x
            - github
            - instagram
            - youtube
            - tiktok
          additionalProperties: false
        productsServices:
          type: string
        designMd:
          type: string
        icpSummary:
          type: string
        languages:
          type: array
          items:
            type: string
        regions:
          type: array
          items:
            type: string
        activeSetSize:
          type: number
        quotas:
          type: object
          additionalProperties:
            type: number
        icon:
          type: object
          properties:
            ext:
              type: string
            source:
              type: string
              enum:
                - fetched
                - uploaded
            updatedAt:
              type: string
          required:
            - ext
            - source
            - updatedAt
          additionalProperties: false
          nullable: true
      required:
        - slug
        - displayName
        - domains
        - about
        - industry
        - email
        - brandColors
        - brandMeta
        - socials
        - productsServices
        - designMd
        - icpSummary
        - languages
        - regions
        - activeSetSize
        - quotas
        - icon
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````